@import "~material-design-icons/iconfont/material-icons.css";

#top{
    height: 20px;
    width: 100%;
}

.page_container{
    animation-name: slideInDown;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}


.mat-elevation-z8{
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.205);
}
.mat-table{
    width: 100%;
}

@keyframes slideInDown {
    from {
        transform: translate3d(0, -100%, 0);
        visibility: visible;
    }
    to {
        transform: translate3d(0, 0, 0);
    }
}

.mat-card {
    text-align: center;
    padding: 5px;
    img {
        border-radius: 5px;
        margin-top: -25px;
    }
}

.mb-20 {
    margin-bottom: 20px;
}

.vendor_medal_wrapper{
    background: linear-gradient(60deg, #b3bbff, #8476ff);
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    display: block;
    position: relative;
    padding: 8px;
    border-radius: 5px;
    height: 150px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.432);
    -webkit-transition: all 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: all 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.vendor_medal{
    display: block;
    position: relative;
    height: 110px;
    color: black;
    font-family: Fontil Sans, monospace;
    background-color: white;
}

.vendor_medal_wrapper::after {
    opacity: 0;
    transition: opacity 0.1s ease-in-out;
    z-index: -1;
    -webkit-transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.vendor_medal_wrapper:hover {
    -webkit-transform: scale(1.1, 1.1);
    transform: scale(1.1, 1.1);
    box-shadow: 0 13px 13px rgba(0, 0, 0, 0.432);
    cursor: pointer;
}
  
.vendor_medal_wrapper:hover:after {
    opacity: 1;
}

.left-container{
    width: 40%;
}
.right-container{
    width: 100%;
}

.manage_stall_header{
    background: linear-gradient(10deg, #b3bbff, #8476ff);
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    display: block;
    position: relative;
    padding: 10px;
    border-radius: 2px;
    height: 20px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.432);
    color: #fff;
    font-family: Fontil Sans, monospace;
}

.manage_stall{
    display: flex;
    background-color: white;
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    position: relative;
    padding: 10px;
    border-radius: 2px;
    height: 570px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.205);
    color: #fff;
    font-family: Fontil Sans, monospace;
}

.stall_parameter_container{
    padding: 5px;
    display: block;
    position: relative;
    height: 300px;
    color: black;
    font-family: Fontil Sans, monospace;
    text-align: center;
}

.param_text{
    font-size: 1em;
    color: black;
}
textarea{
    resize: none;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.295);
}
.param_submit_btn{
    width: 100%;
    border: none;
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.308);
    height: 60px;
    margin-top:-10px;
    outline: none;
    color: black;
    padding-top:10px;
    font-size: 1.2em;
    font-family: Fontil Sans, monospace;
    font-weight: bold;
    text-align: center;
}
.param_submit_btn:hover{
    background: linear-gradient(10deg, #b3bbff, #8476ff);
    color: white;
    cursor: pointer;
}

.sales_table_header{
    background: linear-gradient(10deg, #b3bbff, #8476ff);
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    display: block;
    position: relative;
    padding: 10px;
    border-radius: 2px;
    height: 20px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.432);
    color: #fff;
    font-family: Fontil Sans, monospace;
}


.scroller{
    overflow: hidden;
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.432);
    background: linear-gradient(50deg, #eeeeee, #ffffff);
    padding-bottom: 20px;
}
.sales_table_container{
    display: flex;
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    background-color: white;
    position: relative;
    padding: 20px;
    border-radius: 2px;
    height: 490px;
    color: #fff;
    font-family: Fontil Sans, monospace;
    overflow: auto;
    padding-right: 20px;
}

.sales_table{
    border-collapse: collapse;
    width: 100%;
    text-align: left;
    color:black;
    td,th{
        border: 1px solid #dddddd;
    }
    th{
        text-align: center;
    }
    td{
        padding-left:5px;
    }
    tr{
        line-height: 2em;
    }
}


.bli-so-box-red{
    background: linear-gradient(60deg, #ffbb54, #eee094);
    box-shadow: 0 2px 2px rgba(0,0,0,.24), 0 0 2px rgba(0,0,0,.12);
    border-radius: 4px;
    padding:10px;
}
.bli-so-box-red h3{
    margin: 0 0 5px 0;
}
.bli-si-box{
    background-color: white;
    box-shadow: 0 2px 2px rgba(0,0,0,.24), 0 0 2px rgba(0,0,0,.12);
    border-radius: 2px;
}
.bli-content-box{
    padding: 5px;
    .w-100{
        width: 100%;
    }
}
.bli-content-box-left,.bli-content-box-right{
    width: 40%;
}
.sv-btn-row{
    text-align: right;
    padding: 10px;
}
.max-width{
    width: 100%;
    color: black;
}
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}

.medal_container{
    height: 100px;
    .mat-icon{
        font-size: 3em;
        color: rgba(200, 200, 200, 0.664);
        left: 10px;
        position: absolute;
        top:8px;
    }
    .words{
        position: relative;
        width: 100px;
        text-align: left;
        left: 70px;
        top: 0px;
        font-size: 1.1em;
    }
    a{
        right: 10px;
        bottom: 10px;
        font-size: 0.9em;
        position: absolute;
        margin: auto;
        z-index: 3;
        color: black;
    }
}

.trophy_container{
    height: 150px;
    position: relative;
    text-align: center;
    padding: 0;
    #trophy_bg{
        position: absolute;
        top: 0;
        margin-top:0;
        left: 0;
        object-fit: cover;
        border-radius: 2px;
        width: 100%;
        height: 100%;
    }
    #trophy{
        position: absolute;
        width: 70px;
        height: 70px;
        bottom:10px;
        left:0;
        z-index: 3;
    }
    #visitor{
        position: absolute;
        width: 140px;
        height: 70px;
        bottom:10px;
        left:-30px;
        z-index: 3;
    }
    a{
        position: absolute;
        bottom: 10px;
        right:20px;
        color: white;
        z-index: 3;
    }
    .trophy_text{
        font-size: 1.7em;
        position: absolute;
        top: 50px;
        left:40%;
        color: white;
        z-index: 3;
    }
    .dark_overlay{
        background: linear-gradient(to top, rgba(0, 0, 0, 0.80), rgba(0, 0, 0, 0.10));
        position: absolute;
        z-index: 1;
        width: 100%;
        height: 100%;
    }
}

@media only screen and (max-width: 960px) {
    .left-container{
        width: 100%;
    }
    .manage_stall{
        height: 570px;
    }
    .bli-content-box-left,.bli-content-box-right{
        width: 100%;
    }
}

@media only screen and (max-width: 450px) {
    .param_text{
        font-size: 0.85em;
    }
    .manage_stall{
        height: 570px;
    }
    .bli-content-box-left,.bli-content-box-right{
        width: 100%;
    }
}
